
/* обшие стили вакансии */
.jvac__vacancy { padding: 25px 250px 25px 25px; position: relative; margin: 0 0 15px 0; background: #fff; border-radius: 3px; text-decoration: none; color: #000; cursor: pointer; display: block; box-shadow: inset 0 -1px 0 0 rgba(0, 0, 0, .05); }
.jvac__vacancy:hover { text-decoration: none; }
.jvac__vacancy:hover .jvac__improve { opacity: 1; }

.jvac__vacancy--highlight { background: #ffffde; box-shadow: inset 0 0 0 2px #ffda00; }

.jvac__vacancy--with-logo { min-height: 100px }

.jvac__vacancy--premium { position: sticky; -webkit-position: sticky; top: 0; z-index: 1; padding-top: 15px; padding-bottom: 15px; }

/* булавка */

.jvac__ico { display: inline-block; vertical-align: top; width: 15px; height: 15px; margin: 0 10px 0 0; position: relative; }

.jvac__ico--pin {  background: url(i/pin.svg) no-repeat 50% 50%; width: 17px; height: 16px; top: 4px; }
.jvac__ico--star { background: url(i/star.svg) no-repeat 50% 50% / contain; width: 20px; height: 20px; top: 1px; }
.jvac__ico--crown { width: 19px; height: 16px; background: url(i/crown.svg) no-repeat 50% 50%; top: 4px; }


/* название вакансии */
.jvac__name-wrap { margin: 0 0 6px 0; position: relative; max-width: 326px; }
.jvac__name { font: 700 24px/24px "source sans pro";  }
.jvac__name:hover { color: #f00; }

/* кнопка улучшить вакансию */
.jvac__improve { opacity: 0; position: absolute; top: 0; right: -150px; cursor: pointer; border: 0; border-radius: 2px; background: #3bc206 url(i/target.svg) no-repeat 5px 50%; padding: 0 7px 0 30px; height: 28px; font: 400 17px/26px "source sans pro"; color: #fff; transition: background-color 250ms, opacity 200ms; }
.jvac__improve:hover { background-color: #39b306; text-decoration: none; }



/* ссылка или название компании */
.jvac__company { font: 300 15px/15px "source sans pro"; display: inline-block; white-space: nowrap; text-overflow: ellipsis; overflow: hidden; text-decoration: none; color: #686868; max-width: 400px; }
.jvac__company--link { color: #0f9859; border-bottom: 1px solid; }
.jvac__company--link:hover { color: #f00; text-decoration: none; }


/* краткое описание вакансии */
.jvac__snippet { font: 300 18px/28px "source sans pro"; margin: 7px 0 0 0; color: #686868; }


/* meta */
.jvac__meta { position: absolute; top: 28px; right: 25px; text-align: right; }
.jvac__vacancy--premium .jvac__meta { top: 15px; }

/* зарплпта */
.jvac__salary { font: 700 20px/20px "source sans pro"; margin: 0 0 5px 0; }

/* дата публикации / обновления */
.jvac__date:after { content: attr(data-full); font: 300 15px/20px "source sans pro"; color: #686868; }

/* логотип компании */
.jvac__logo { margin: 12px 0 0 0; background-size: contain; background-position: 100% 50%; background-repeat: no-repeat; text-decoration: none; cursor: pointer; display: inline-block; vertical-align: top; width: 124px; height: 44px; }
